HtmlPage (RabbIT/4)
Date: 2009-10-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.proxy
Class HtmlPage

    java.lang.Object
      rabbit.proxy.HtmlPage

    public class HtmlPage

extends Object

This class is intended to be used as a template for metapages. It provides methods to get different part of the HTML-page so we can get a consistent interface.

Author:
  Robert Olofsson

Method Summary
`static String` | `getPageHeader()` return a simple HTMLheader.
`static String` | `getPageHeader(Connection con, String title)` return a HTMLheader.
`static SProperties` | `getProperties()` return the properties this class uses
`static String` | `getTableHeader(int width, int border)` return a table header with given width (int %) and given borderwidth.
`static String` | `getTableTopicRow()` return a tabletopic row
`static SProperties` | `setup()` setup this class for usage
`static SProperties` | `setup(SProperties props)` setup this class for usage

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPageHeader

    public static String getPageHeader()

  return a simple HTMLheader.

  Returns:
    a HTMLHeader.

### getPageHeader

    public static String getPageHeader(Connection con,
                                       String title)

  return a HTMLheader.

  Parameters:
    `title` - the title of this page.
  Returns:
    a HTMLHeader.

### getTableHeader

    public static String getTableHeader(int width,
                                        int border)

  return a table header with given width (int %) and given borderwidth.

  Parameters:
    `width` - the width of the table
    `border` - the width of the border in pixels

### getTableTopicRow

    public static String getTableTopicRow()

  return a tabletopic row

### setup

    public static SProperties setup()

  setup this class for usage

### setup

    public static SProperties setup(SProperties props)

  setup this class for usage

  Parameters:
    `props` - the properties to read from

### getProperties

    public static SProperties getProperties()

  return the properties this class uses

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD